<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен

      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>

    */
    window.addEventListener("load", function () {
      var btnSave = document.querySelector('.addButton'),
          outField = document.querySelector("#toDoList");

      btnSave.addEventListener('click', function(){
        var inputField = document.querySelector('.textInput'),
            tamplate = `
              <li class="listItem">
                  <input type="checkbox" class="DoneCheckbox" />
                  <span class="TodoText">${inputField.value}</span>
                  <button class="remove">Remove</button>
              </li>
            `;
        
        inputField.value = null;
        outField.innerHTML += tamplate;
      });

      outField.addEventListener('click', function(e){
        if(e.target.className === 'remove'){
          e.target.parentNode.remove();
          console.log("%O", e.target)
        }
        if(e.target.className === "DoneCheckbox"){
          if(e.target.checked){
            e.target.parentNode.classList.add('done');
          } else {
            e.target.parentNode.classList.remove('done');
          }
        }
      })
    });
  </script>
</head>
<body>
    <header>
      <input id="newToDo" class="textInput"/>
      <input id="AddToDo" class="addButton" type="button" value="Add"/>
    </header>
    <ul id="toDoList">

    </ul>

  <style>
    .done{
      text-decoration: line-through;
      background-color: green;
    }
    .textInput{
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .addButton{
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText{
      margin-right: 5px;
    }

    button{
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
</body>
</html>
